<?php

    // check Private dir path
    if(!array_key_exists("admin_database_private_dir_path", $_COOKIE)) {
        die("Adminer not found !");
    }
    $privateDirPath = $_COOKIE["admin_database_private_dir_path"];
    if(empty($privateDirPath)) {
        die("Adminer not found !");
    }

    // check Token
    if(!array_key_exists("admin_database_token", $_COOKIE)) {
        die("Unauthorized");
    }
    $inputToken = $_COOKIE["admin_database_token"];
    $token = file_get_contents("$privateDirPath/token.txt");
    if($inputToken != $token) {
        die("Unauthorized");
    }
    

    function adminer_object() {
        // required to run any plugin
        include_once "./plugins/plugin.php";
        
        // autoloader
        foreach (glob("plugins/*.php") as $filename) {
            include_once "./$filename";
        }
        
        // enable extra drivers just by including them
        //~ include "./plugins/drivers/simpledb.php";


        
        $plugins = array(
            // specify enabled plugins here
            new AdminerFrames(),
        );
        
        /* It is possible to combine customization and plugins:
        class AdminerCustomization extends AdminerPlugin {
        }
        return new AdminerCustomization($plugins);
        */
        
        return new AdminerPlugin($plugins);
    }


    // include original Adminer or Adminer Editor
    include "$privateDirPath/adminer.php";

?>
