<?php

namespace Drupal\admin_database\Controller;

use \Drupal\Core\Controller\ControllerBase;

class AdminDatabaseController extends ControllerBase {

  public function index() {
    $databaseInfos = \Drupal::database()->getConnectionOptions();
    $dbHost = $databaseInfos["host"];
    $dbName = $databaseInfos["database"];
    $dbUser = $databaseInfos["username"];

    $modulePath = \Drupal::service('extension.list.module')->getPath('admin_database');
    $privateDirPath = \Drupal::service('file_system')->realpath("private://") . "/admin_database";

    $token = file_get_contents("$privateDirPath/token.txt");
    setcookie("admin_database_private_dir_path", $privateDirPath, 0, "/");
    setcookie("admin_database_token", $token, 0, "/");

    $src = "/$modulePath/assets/adminer_with_plugins.php?server=$dbHost&username=$dbUser&db=$dbName";

    return [
        '#theme' => 'iframe',
        '#src' => $src,
    ];
  }

}
